Download it now!
Bug 137189 - Crash on loading content at the additions dialog with installed extensions
Summary: Crash on loading content at the additions dialog with installed extensions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Extension-Tight-Integration
  Show dependency treegraph
 
Reported: 2020-10-01 13:51 UTC by Heiko Tietze
Modified: 2020-10-14 09:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot with broken alignment using gen (99.47 KB, image/png)
2020-10-06 14:57 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-10-01 13:51:06 UTC
It starts to load, shows some items, scrollbar becomes larger - and the app crashes.
For example, run https://gerrit.libreoffice.org/c/core/+/103769 at Tools > Language > More Dictionaries Online...

soffice.bin: /home/ht/Sources/libreoffice/vcl/source/app/dbggui.cxx:35: void ImplDbgTestSolarMutex(): Assertion `ImplGetSVData()->mpDefInst->GetYieldMutex()->IsCurrentThread() && "SolarMutex not owned!"' failed.

Version: 7.1.0.0.alpha0+
Build ID: 4722a7b376946a0540f7dd95cdbacf8a0507860d
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: de-DE (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Heiko Tietze 2020-10-06 14:57:14 UTC
Created attachment 166131 [details]
Screenshot with broken alignment using gen

No crash with gtk3 but kf5 and gen (not tested win and macos). Gtk3 places controls at the right position while gen doesn't (kf5 crashes before the anything is shown).
Comment 2 Heiko Tietze 2020-10-06 15:55:32 UTC
Debugger stops at 

assert(ImplGetSVData()->mpDefInst->GetYieldMutex()->IsCurrentThread() && "SolarMutex not owned!");
Comment 3 Heiko Tietze 2020-10-07 08:51:23 UTC
Going down further it happens at 

rInfo->m_xButtonInstall->set_sensitive(false); in SearchAndParseThread::CheckInstalledExtensions() AdditionsDialog.cxx

...

CallEventListeners( bEnable ? VclEventId::WindowEnabled : VclEventId::WindowDisabled ); in Window::Enable() window.cxx
Comment 4 Commit Notification 2020-10-12 13:11:36 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1eb5d616b701853532f8c6ba2e89366d596789e

Resolves tdf#137189 - Fixes crash at CheckInstalledExtensions()

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.